%global dlrn_nvr ansible-role-chrony-1.0.4.dev2-2.20210618224812.15ad507
%global dlrn 1
%define upstream_version 1.0.4.dev2
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible_role_chrony
%global rolename ansible-role-chrony

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.0.4
Release: 2.20210618224813%{?dist}
Summary:        Ansible role to manage chrony

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-chrony
Source0: ansible-role-chrony-1.0.4.dev2-2.20210618224812.15ad507.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=15ad50777e976055eb5a1b85a9841ae268714f78
Patch0001: 0001-Create-chrony-online-service.patch
Patch0002: 0002-Replacing-chrony-helper-with-chronyc.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires: ansible
%else
Requires: python3dist(ansible)
%endif

%description

Ansible role to manage chrony

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%pyver_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%pyver_install


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Mar 03 2022 Thierry Vignaud <tvignaud@redhat.com> 1.0.4-2.20210618224813
- Replacing chrony-helper with chronyc (rhbz#2042689)
- Create chrony-online service (rhbz#2046316)

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-2.20210618224812.15ad507
- Update patches
- Correct the tox option for skipping sdist generation

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-2.20210601014939.5580549
- Update patches
- setup.cfg: Replace dashes with underscores

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.3-2.20210527202702.28193e4
- Update patches

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.3-1
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Use ansible_facts
- Fix requirements

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches
- Bump pyflakes

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url



